> ## Documentation Index
> Fetch the complete documentation index at: https://developer.jtl-software.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Queries all sales invoices.



## OpenAPI

````yaml /openapi/2.1.json get /v2/sales-invoices
openapi: 3.0.0
info:
  title: JTL-WAWI API (Cloud)
  description: "JTL-Wawi-Version: 2.2.0-alpha.9492+Sha.4c8d5d1\r\n# Introduction\r\n\r\nWelcome to the JTL-WAWI technical API documentation. This guide is here to help developers understand how our REST API works and how it can be integrated into your existing systems. We'll delve into the details of authentication and data manipulation processes, providing clear examples along the way. Whether you're a developer or an IT professional, this documentation aims to give you a practical understanding, laying the groundwork for effectively using the JTL-WAWI API to enhance your processes.\r\n\r\n# Authentication\r\n\r\nYou register your application with the API by sending a POST request with the required information and corresponding keys. You can find the exact request details at https://developer.jtl-software.com/products/erp/swagger/appregistration. This information has to include the following:\r\n\r\n* AppId\r\n* DisplayName\r\n* Description\r\n* Version\r\n* ProviderName\r\n* ProviderWebsite\r\n* MandatoryApiScopes\r\n\r\nThis data is crucial for identifying and registering your application with the API. The API uses it to generate a temporary authentication ID that allows your application to access the necessary resources. After successful validation of this information, you will receive the API key required for future authentication and API requests.\r\n\r\nBefore you can begin the registration process, you must open JTL-Wawi (new interface) and start the registration process under 'Admin->App registration'. Only at this point are you authorised to send the first API call. This step in JTL-Wawi ensures that your application is properly registered and has permission to use the API.\r\n\r\nThe API will send you an authentication ID in the form of a token. Once you have received this token and successfully completed the registration in JTL-Wawi, you will send another request to the API by including this authentication ID in the URL path.\r\n\r\nAfter successful validation of this second request by the API and confirmation of the correct information, you will be provided with the actual API key. It is important to note that this API key will not be displayed again!\r\n\r\nThis API key will be used in the future to authenticate requests to the API. It is of utmost importance that you securely store the API key upon receipt, as it cannot be retrieved from any other location in the system."
  contact:
    name: JTL-Software-GmbH
    url: https://developer.jtl-software.com/
    email: partner@jtl-software.com
  version: '2.1'
  x-application-version: 2.2.0.0
servers:
  - url: https://api.jtl-cloud.com/erp
    description: Production Environment Cloud API Gateway
security: []
tags:
  - name: WMS
    description: >-
      <p data-section-id='tag/WMS' class='stable_summary'></p>Query all pick
      lists for a specific wms warehouse that are not completed.
  - name: Wawi App
    description: >-
      <p data-section-id='tag/Wawi App' class='stable_summary'></p>Get a
      specific customer
  - name: Warehouses
    description: >-
      <p data-section-id='tag/Warehouses' class='stable_summary'></p>Queries all
      storage locations for a given warehouse.
  - name: Units
    description: Development
  - name: Transaction Status
    description: >-
      <p data-section-id='tag/Transaction Status'
      class='stable_summary'></p>Queries all transaction statuses for a sales
      order.
  - name: Tax
    description: >-
      <p data-section-id='tag/Tax' class='stable_summary'></p>Returns the tax
      rate for the given item.
  - name: Inventory
    description: >-
      <p data-section-id='tag/Inventory' class='stable_summary'></p>Queries
      stocks for a specific item, warehouse or storage location.
  - name: Sales Order
    description: Planned
  - name: Sales Invoice Correction
    description: Planned
  - name: Return
    description: >-
      <p data-section-id='tag/Return' class='beta_summary'></p>Create a new
      return with associated items and packages.
  - name: Item
    description: >-
      <p data-section-id='tag/Item' class='beta_summary'></p>Queries all
      responsible persons.
  - name: Refund
    description: Planned
  - name: Property
    description: >-
      <p data-section-id='tag/Property' class='stable_summary'></p>Queries all
      properties of items.
  - name: Printer
    description: >-
      <p data-section-id='tag/Printer' class='beta_summary'></p>Retrieves all
      installed printers.
  - name: Master Data
    description: >-
      <p data-section-id='tag/Master Data' class='stable_summary'></p>Queries
      all on hold reasons for sales orders.
  - name: Manufacturer
    description: Development
  - name: Label
    description: Development
  - name: Sales Invoice
    description: Planned
  - name: Info
    description: >-
      <p data-section-id='tag/Info' class='stable_summary'></p>Returns the
      status of the API.
  - name: Features
    description: >-
      <p data-section-id='tag/Features' class='stable_summary'></p>Returns the
      available feature sets with release state and API version.
  - name: Extensibility
    description: Planned
  - name: Shipment
    description: Development
  - name: Delivery Note
    description: Planned
  - name: Custom Field
    description: Development
  - name: Customer
    description: >-
      <p data-section-id='tag/Customer' class='stable_summary'></p>Deletes a
      specific customer.
  - name: Authentication
    description: >-
      <p data-section-id='tag/Authentication'
      class='deprecated_summary'></p>DEPRECATED seit Wawi 2.2.0: No-Op. Seit
      Wawi 2.1.0 registriert sich die Wawi selbst per JWT.
  - name: Attribute
    description: Development
  - name: Sales Quotation
    description: >-
      <p data-section-id='tag/Sales Quotation' class='beta_summary'></p>Execute
      the printing of a sales quotation
  - name: Production
  - name: Resources
  - name: Company
  - name: Sales Orders
  - name: Marketplace Seller
  - name: Seller
  - name: Marketplace Order
  - name: Marketplace Offer
  - name: Marketplace Invoicing
  - name: Sales Channel
  - name: Payment
  - name: Warehouse Assistant
  - name: Worker
paths:
  /v2/sales-invoices:
    get:
      tags:
        - Sales Invoice
      summary: Queries all sales invoices.
      operationId: SalesInvoiceDomain_QuerySalesInvoices
      parameters:
        - name: pageNumber
          in: query
          description: Number of the page of items to fetch. Defaults to 1 when omitted.
          schema:
            type: integer
            format: int32
        - name: pageSize
          in: query
          description: >-
            Size of the page specified by PageNumber. Defaults to 100 when
            omitted.
          schema:
            type: integer
            format: int32
        - name: sortBy
          in: query
          description: >-
            Property to sort by. Multiple comma-separated fields are applied in
            order (OrderBy, then ThenBy).
          schema:
            type: string
        - name: sortDescending
          in: query
          description: Sort in descending order. Defaults to ascending when omitted.
          schema:
            type: boolean
        - name: salesInvoiceDateAfter
          in: query
          description: >-
            Only include items whose SalesInvoiceDate is after (greater than)
            this value.
          schema:
            type: string
            format: date-time
        - name: salesInvoiceDateBefore
          in: query
          description: >-
            Only include items whose SalesInvoiceDate is before (less than) this
            value.
          schema:
            type: string
            format: date-time
        - name: valueDateAfter
          in: query
          description: >-
            Only include items whose ValueDate is after (greater than) this
            value.
          schema:
            type: string
            format: date-time
        - name: valueDateBefore
          in: query
          description: Only include items whose ValueDate is before (less than) this value.
          schema:
            type: string
            format: date-time
        - name: paymentDateAfter
          in: query
          description: >-
            Only include items whose PaymentDate is after (greater than) this
            value.
          schema:
            type: string
            format: date-time
        - name: paymentDateBefore
          in: query
          description: >-
            Only include items whose PaymentDate is before (less than) this
            value.
          schema:
            type: string
            format: date-time
        - name: printDateAfter
          in: query
          description: >-
            Only include items whose PrintDate is after (greater than) this
            value.
          schema:
            type: string
            format: date-time
        - name: printDateBefore
          in: query
          description: Only include items whose PrintDate is before (less than) this value.
          schema:
            type: string
            format: date-time
        - name: mailDateAfter
          in: query
          description: >-
            Only include items whose MailDate is after (greater than) this
            value.
          schema:
            type: string
            format: date-time
        - name: mailDateBefore
          in: query
          description: Only include items whose MailDate is before (less than) this value.
          schema:
            type: string
            format: date-time
        - name: paymentDueDateAfter
          in: query
          description: >-
            Only include items whose PaymentDueDate is after (greater than) this
            value.
          schema:
            type: string
            format: date-time
        - name: paymentDueDateBefore
          in: query
          description: >-
            Only include items whose PaymentDueDate is before (less than) this
            value.
          schema:
            type: string
            format: date-time
        - name: dunningDateAfter
          in: query
          description: >-
            Only include items whose DunningDate is after (greater than) this
            value.
          schema:
            type: string
            format: date-time
        - name: dunningDateBefore
          in: query
          description: >-
            Only include items whose DunningDate is before (less than) this
            value.
          schema:
            type: string
            format: date-time
        - name: cancelledDateAfter
          in: query
          description: >-
            Only include items whose CancelledDate is after (greater than) this
            value.
          schema:
            type: string
            format: date-time
        - name: cancelledDateBefore
          in: query
          description: >-
            Only include items whose CancelledDate is before (less than) this
            value.
          schema:
            type: string
            format: date-time
        - name: serviceDateFromAfter
          in: query
          description: >-
            Only include items whose ServiceDateFrom is after (greater than)
            this value.
          schema:
            type: string
            format: date-time
        - name: serviceDateFromBefore
          in: query
          description: >-
            Only include items whose ServiceDateFrom is before (less than) this
            value.
          schema:
            type: string
            format: date-time
        - name: serviceDateToAfter
          in: query
          description: >-
            Only include items whose ServiceDateTo is after (greater than) this
            value.
          schema:
            type: string
            format: date-time
        - name: serviceDateToBefore
          in: query
          description: >-
            Only include items whose ServiceDateTo is before (less than) this
            value.
          schema:
            type: string
            format: date-time
        - name: lastShippingDateAfter
          in: query
          description: >-
            Only include items whose LastShippingDate is after (greater than)
            this value.
          schema:
            type: string
            format: date-time
        - name: lastShippingDateBefore
          in: query
          description: >-
            Only include items whose LastShippingDate is before (less than) this
            value.
          schema:
            type: string
            format: date-time
        - name: x-tenant-id
          in: header
          required: true
          schema:
            type: string
            format: uuid
          description: The tenant ID for the target ERP instance.
      responses:
        '200':
          description: Paged result.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/JTL.Framework.Api.Abstraction.Models.PagedListOfJTL.Wawi.Verkaufsverwaltung.PublicApi.DataTransferObjects.V2.SalesInvoiceDomain.SalesInvoiceListItem
        '400':
          description: Bad request.
          content:
            application/json: {}
        '401':
          description: Unauthorized.
          content:
            application/json: {}
        '403':
          description: Forbidden.
          content:
            application/json: {}
        '500':
          description: Internal server error.
          content:
            application/json: {}
      security:
        - oauth2-authorization-code: []
        - oauth2-client-credentials: []
components:
  schemas:
    JTL.Framework.Api.Abstraction.Models.PagedListOfJTL.Wawi.Verkaufsverwaltung.PublicApi.DataTransferObjects.V2.SalesInvoiceDomain.SalesInvoiceListItem:
      type: object
      additionalProperties: false
      required:
        - TotalItems
        - PageNumber
        - PageSize
        - Items
      properties:
        totalItems:
          type: integer
          format: int32
        pageNumber:
          type: integer
          format: int32
        pageSize:
          type: integer
          format: int32
        items:
          type: array
          items:
            $ref: >-
              #/components/schemas/JTL.Wawi.Verkaufsverwaltung.PublicApi.DataTransferObjects.V2.SalesInvoiceDomain.SalesInvoiceListItem
        totalPages:
          type: integer
          format: int32
        hasPreviousPage:
          type: boolean
        hasNextPage:
          type: boolean
        nextPageNumber:
          type: integer
          format: int32
        previousPageNumber:
          type: integer
          format: int32
    JTL.Wawi.Verkaufsverwaltung.PublicApi.DataTransferObjects.V2.SalesInvoiceDomain.SalesInvoiceListItem:
      type: object
      description: A single row of the sales invoices overview table.
      additionalProperties: false
      required:
        - SalesInvoiceId
        - IsDunningBlocked
        - SalesInvoiceDate
        - ValueDate
        - CurrencyFactor
        - IsDraft
        - TaxSetting
        - IsIntraCommunityDelivery
        - IsExemptFromVat
        - SalesChannelName
        - IsExternalSalesInvoice
        - PrintExistingSalesInvoice
        - IsDunned
        - StillToPay
        - AlreadyPaidAmount
        - IsCompletelyPaid
        - SalesInvoiceCorrectionTotalGrossAmount
        - HasSalesInvoiceCorrection
        - PaymentStatus
        - TotalGrossAmount
        - ShippingCountryTotalGrossAmount
        - TotalNetAmount
        - ShippingCountryTotalNetAmount
        - IsArchived
        - ProcessColourCode
        - PlatformType
        - IsCorrected
        - IsCancelled
      properties:
        salesInvoiceId:
          $ref: '#/components/schemas/JTL.Data.Contracts.Keys.RechnungKey'
          description: ID of the sales invoice
        createdByUserId:
          $ref: '#/components/schemas/JTL.Identity.Abstractions.BenutzerKey'
          description: Created by user ID
        customerId:
          $ref: '#/components/schemas/JTL.Data.Contracts.Keys.KundeKey'
          description: Customer ID
        currencyIso:
          type: string
          description: Currency ISO code
        companyId:
          $ref: '#/components/schemas/JTL.Data.Contracts.Keys.FirmaKey'
          description: Company ID
        companyName:
          type: string
          description: Company name
        vatIdNumber:
          type: string
          description: The VAT ID of the merchant’s company that is shown on the invoice
        paymentMethodId:
          $ref: '#/components/schemas/JTL.Data.Contracts.Keys.ZahlungsartKey'
          description: Payment method ID
        paymentMethodName:
          type: string
          description: Payment method name
        isDunningBlocked:
          type: boolean
          description: Indicates if dunning is blocked
        salesInvoiceDate:
          type: string
          description: Date when the invoice was created
          format: date-time
        valueDate:
          type: string
          description: Value date of the invoice
          format: date-time
        salesInvoiceNumber:
          type: string
          description: Sales invoice number
        currencyFactor:
          type: number
          description: Currency factor
          format: decimal
        shippingMethodId:
          $ref: '#/components/schemas/JTL.Data.Contracts.Keys.VersandartKey'
          description: Shipping method ID
        shippingMethodName:
          type: string
          description: Shipping method name
        isDraft:
          type: boolean
          description: Indicates if the invoice is a draft
        salesChannelId:
          type: string
          description: Sales channel ID
        platformId:
          $ref: '#/components/schemas/JTL.Data.Contracts.Keys.PlattformKey'
          description: >-
            DEPRECATED: do not use; use salesChannelId instead. Raw platform key
            (kPlattform); kept only as the source for salesChannelId.
        shopId:
          $ref: '#/components/schemas/JTL.Data.Contracts.Keys.ShopKey'
          description: >-
            DEPRECATED: do not use; use salesChannelId instead. Raw shop key
            (kShop); kept only as the source for salesChannelId.
        languageId:
          $ref: '#/components/schemas/JTL.Data.Contracts.Keys.SpracheKey'
          description: Language ID
        taxSetting:
          $ref: >-
            #/components/schemas/JTL.Wawi.Verkaufsverwaltung.PublicApi.DataTransferObjects.V2.SalesInvoiceDomain.SalesInvoiceTaxSetting
          description: Tax setting value
        isIntraCommunityDelivery:
          type: boolean
          description: Indicates intra-community delivery
        isExemptFromVat:
          type: boolean
          description: Indicates VAT exemption
        ebayUsername:
          type: string
          description: Ebay username
        salesChannelName:
          type: string
          description: Sales channel name
        isExternalSalesInvoice:
          type: boolean
          description: Indicates if invoice is external
        printExistingSalesInvoice:
          type: boolean
          description: Indicates whether to print an existing invoice again
        paymentDate:
          type: string
          description: Date when the invoice was paid
          format: date-time
        printDate:
          type: string
          description: Date when the invoice was printed
          format: date-time
        mailDate:
          type: string
          description: Date when the invoice was sent via e-mail
          format: date-time
        isDunned:
          type: boolean
          description: Indicates if the invoice has been dunned
        stillToPay:
          type: number
          description: Open amount still to pay
          format: decimal
        alreadyPaidAmount:
          type: number
          description: Amount already paid
          format: decimal
        isCompletelyPaid:
          type: boolean
          description: Indicates if the invoice is completely paid
        comment:
          type: string
          description: Internal comment
        customerComment:
          type: string
          description: Additional comment
        salesInvoiceCorrectionTotalGrossAmount:
          type: number
          description: Total gross amount of credits related to this invoice
          format: decimal
        hasSalesInvoiceCorrection:
          type: boolean
          description: Indicates if a sales invoice correction exists
        paymentStatus:
          $ref: >-
            #/components/schemas/JTL.Wawi.Verkaufsverwaltung.PublicApi.DataTransferObjects.V2.Shared.InvoicePaymentStatus
          description: Payment status of the invoice
        shipmentAddressCompanyName:
          type: string
          description: Shipment address company
        shipmentAddressSalutation:
          type: string
          description: Shipment address form of address
        shipmentAddressTitle:
          type: string
          description: Shipment address title
        shipmentAddressFirstName:
          type: string
          description: Shipment address first name
        shipmentAddressLastName:
          type: string
          description: Shipment address last name
        shipmentAddressStreet:
          type: string
          description: Shipment address street
        shipmentAddressAdditionalAddressLine:
          type: string
          description: The additional address line of the shipment address
        shipmentAddressPostalCode:
          type: string
          description: Shipment address postal code
        shipmentAddressCity:
          type: string
          description: Shipment address city
        shipmentAddressCountryName:
          type: string
          description: Shipment address country name
        shipmentAddressPhoneNumber:
          type: string
          description: Shipment address phone number
        shipmentAddressMobilePhoneNumber:
          type: string
          description: Shipment address mobile phone number
        shipmentAddressFaxNumber:
          type: string
          description: Shipment address fax
        shipmentAddressEmailAddress:
          type: string
          description: Shipment address email address
        shipmentAddressAdditionalCompanyLine:
          type: string
          description: The additional company line of the shipment address
        shipmentAddressPostId:
          type: string
          description: Shipment address post ID
        shipmentAddressState:
          type: string
          description: Shipment address state
        shipmentAddressCountryIso:
          type: string
          description: Shipment address country ISO code
        billingAddressCompanyName:
          type: string
          description: Billing address company name
        billingAddressSalutation:
          type: string
          description: The salutation of the billing address
        billingAddressTitle:
          type: string
          description: Billing address title
        billingAddressFirstName:
          type: string
          description: Billing address first name
        billingAddressLastName:
          type: string
          description: Billing address last name
        billingAddressStreet:
          type: string
          description: Billing address street
        billingAddressAdditionalAddressLine:
          type: string
          description: The additional address line of the billing address
        billingAddressPostalCode:
          type: string
          description: Billing address postal code
        billingAddressCity:
          type: string
          description: Billing address city
        billingAddressCountryName:
          type: string
          description: Billing address country name
        billingAddressPhoneNumber:
          type: string
          description: Billing address phone number
        billingAddressMobilePhoneNumber:
          type: string
          description: Billing address mobile phone number
        billingAddressFaxNumber:
          type: string
          description: Billing address fax number
        billingAddressEmailAddress:
          type: string
          description: Billing address email address
        billingAddressAdditionalCompanyLine:
          type: string
          description: The additional company line of the billing address
        billingAddressPostId:
          type: string
          description: Billing address post ID
        billingAddressState:
          type: string
          description: Billing address state
        billingAddressCountryIso:
          type: string
          description: Billing address country ISO code
        totalGrossAmount:
          type: number
          description: Total gross amount of the invoice
          format: decimal
        shippingCountryTotalGrossAmount:
          type: number
          description: Total gross amount in shipping country currency
          format: decimal
        totalNetAmount:
          type: number
          description: Total net amount of the invoice
          format: decimal
        shippingCountryTotalNetAmount:
          type: number
          description: Total net amount in shipping country currency
          format: decimal
        createdByUserName:
          type: string
          description: Name of the user who created the invoice
        customerNumber:
          type: string
          description: Customer number
        accountsReceivableNumber:
          type: integer
          description: Accounts receivable number
          format: int32
        customerGroupName:
          type: string
          description: Customer group name
        paymentDueDateInDays:
          type: integer
          description: Payment due date in days
          format: int32
        paymentDueDate:
          type: string
          description: Payment due date
          format: date-time
        dunningLevel:
          type: integer
          description: Dunning level
          format: int32
        dunningDate:
          type: string
          description: Date of last dunning
          format: date-time
        isArchived:
          type: boolean
          description: Indicates if the invoice is archived
        processColourCode:
          type: integer
          description: Process colour code
          format: int32
        processColourName:
          type: string
          description: Process colour name
        platformType:
          type: integer
          description: Platform type
          format: int32
        salesOrderNumber:
          type: string
          description: Sales order number
        isCorrected:
          type: boolean
          description: Indicates if the invoice has been corrected
        isCancelled:
          type: boolean
          description: Indicates if the invoice is cancelled
        cancelledDate:
          type: string
          description: Date when the invoice was cancelled
          format: date-time
        cancellationComment:
          type: string
          description: Cancellation comment
        cancellationUserName:
          type: string
          description: Name of the user who cancelled the invoice
        cancellationReason:
          type: string
          description: Cancellation reason
        salesOrderId:
          $ref: '#/components/schemas/JTL.Data.Contracts.Keys.VerkaufAuftragKey'
          description: Related sales order ID
        externalSalesOrderNumber:
          type: string
          description: External sales order number
        serviceDateFrom:
          type: string
          description: Service date from (Leistungsdatum von) of the invoice
          format: date-time
        serviceDateTo:
          type: string
          description: Service date to (Leistungsdatum bis) of the invoice
          format: date-time
        lastShippingDate:
          type: string
          description: Date of last shipping related to the invoice
          format: date-time
    JTL.Data.Contracts.Keys.RechnungKey:
      type: string
      format: uuid
      example: b45f6432-2462-4c6f-b00f-1d9d01000000
      additionalProperties: false
    JTL.Identity.Abstractions.BenutzerKey:
      type: string
      format: uuid
      example: b45f6432-2462-4c6f-b00f-1d9d01000000
      additionalProperties: false
    JTL.Data.Contracts.Keys.KundeKey:
      type: string
      description: Represents a unique key for identifying a customer in the JTL system.
      format: uuid
      example: b45f6432-2462-4c6f-b00f-1d9d01000000
      additionalProperties: false
    JTL.Data.Contracts.Keys.FirmaKey:
      type: string
      description: Represents a key for identifying a firm within the application.
      format: uuid
      example: b45f6432-2462-4c6f-b00f-1d9d01000000
      additionalProperties: false
    JTL.Data.Contracts.Keys.ZahlungsartKey:
      type: string
      format: uuid
      example: b45f6432-2462-4c6f-b00f-1d9d01000000
      additionalProperties: false
    JTL.Data.Contracts.Keys.VersandartKey:
      type: string
      format: uuid
      example: b45f6432-2462-4c6f-b00f-1d9d01000000
      additionalProperties: false
    JTL.Data.Contracts.Keys.PlattformKey:
      type: string
      format: uuid
      example: b45f6432-2462-4c6f-b00f-1d9d01000000
      additionalProperties: false
    JTL.Data.Contracts.Keys.ShopKey:
      type: string
      format: uuid
      example: b45f6432-2462-4c6f-b00f-1d9d01000000
      additionalProperties: false
    JTL.Data.Contracts.Keys.SpracheKey:
      type: string
      format: uuid
      example: b45f6432-2462-4c6f-b00f-1d9d01000000
      additionalProperties: false
    JTL.Wawi.Verkaufsverwaltung.PublicApi.DataTransferObjects.V2.SalesInvoiceDomain.SalesInvoiceTaxSetting:
      type: integer
      description: >-
        0 = DeliveryWithVat, 10 = IntraCommunityDelivery, 15 =
        ExemptFromVatReverseCharge, 20 = ExemptFromVat
      format: int32
      x-enumNames:
        - DeliveryWithVat
        - IntraCommunityDelivery
        - ExemptFromVatReverseCharge
        - ExemptFromVat
      enum:
        - 0
        - 10
        - 15
        - 20
    JTL.Wawi.Verkaufsverwaltung.PublicApi.DataTransferObjects.V2.Shared.InvoicePaymentStatus:
      type: integer
      description: 0 = Unpaid, 1 = PartiallyPaid, 2 = CompletelyPaid, 3 = NotDeterminable
      format: int32
      x-enumNames:
        - Unpaid
        - PartiallyPaid
        - CompletelyPaid
        - NotDeterminable
      enum:
        - 0
        - 1
        - 2
        - 3
    JTL.Data.Contracts.Keys.VerkaufAuftragKey:
      type: string
      format: uuid
      example: b45f6432-2462-4c6f-b00f-1d9d01000000
      additionalProperties: false
  securitySchemes:
    oauth2-authorization-code:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://auth.jtl-cloud.com/oauth2/auth
          tokenUrl: https://auth.jtl-cloud.com/oauth2/token
          scopes:
            items.read: Grants permission to read item data.
            items.write: Grants permission to create and modify item data.
            saleschannels.read: Verkaufskanäle lesen
            all.read: Allows the application to read all data.
            customers.read: Grants permission to read customer data.
            customers.write: Grants permission to create and modify customer data.
            customfields.read: Grants permission to read custom fields.
            customfields.write: Grants permission to create and modify custom fields.
            deliveries.read: Grants permission to read deliveries.
            deliveries.write: Grants permission to create and modify deliveries.
            deliverynotes.print: Grants permission to print and output delivery notes.
            deliverynotes.read: Grants permission to read delivery notes.
            deliverynotes.write: Grants permission to create and modify delivery notes.
            extensibility.integration: >-
              Grants permission to manage extensions and integrations of the
              JTL-Wawi.
            inventories.read: Grants permission to read stock levels.
            inventories.write: Grants permission to modify stock levels.
            invoices.read: Grants permission to read invoices.
            invoices.write: Grants permission to create and modify invoices.
            labels.read: Grants permission to read labels.
            labels.write: Grants permission to create and modify labels.
            masterdata.read: >-
              Read master data such as shipping methods, payment methods, color
              codes and tax classes.
            orders.read: Grants permission to read orders.
            picklists.read: Grants permission to read pick lists.
            picklists.write: Grants permission to create and modify pick lists.
            returns.read: Grants permission to read returns.
            returns.write: Grants permission to create and modify returns.
            salesinvoicecorrections.read: Grants permission to read invoice corrections.
            salesinvoicecorrections.write: Grants permission to create and modify invoice corrections.
            salesorders.print: Grants permission to print and output sales orders.
            salesorders.read: Grants permission to read sales orders.
            salesorders.write: Grants permission to create and modify sales orders.
            system.config.read: Grants permission to read the system configuration.
            system.config.write: Grants permission to modify the system configuration.
            taxes.read: Grants permission to read tax data.
            warehouse.read: Grants permission to read warehouse data.
            wawiapp.all: Grants access to Wawi app related operations.
            currencies.read: Grants read access to currencies.
            jera.read: Grants read access to JERA internal endpoints.
            paymentmethods.read: Grants read access to payment methods.
            payments.read: Ermöglicht den Lesezugriff auf Zahlungen.
            payments.write: Ermöglicht den Schreibzugriff auf Zahlungen.
            salesinvoicecorrections.print: Grants permission to print and output invoice corrections.
            salesinvoices.print: Grants permission to print and output sales invoices.
            salesinvoices.read: Grants read access to sales invoices.
            salesinvoices.write: Grants write access to sales invoices.
            salesquotations.print: Grants permission to print and output sales quotations.
            salesquotations.read: Grants read access to sales quotations.
            salesquotations.write: Grants write access to sales quotations.
            suppliers.read: Grants permission to read suppliers.
            system.worker.read: Worker-Synchronisationen lesen
            system.worker.write: Worker-Synchronisationen schreiben
            resources.read: Grants permission to read resource management data.
            resources.write: Grants permission to create and modify resource management data.
            pps.read: Grants permission to read production data.
            pps.write: Grants permission to create and modify production data.
            inventory.write: Bestand schreiben
            masterdata.write: Write master data
            inventory.read: Grants permission to read stock levels.
            taxes.write: Grants permission to create and modify tax data.
            application.runas: >-
              Allows the application to execute requests on behalf of another
              user.
    oauth2-client-credentials:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://auth.jtl-cloud.com/oauth2/token
          scopes:
            items.read: Grants permission to read item data.
            items.write: Grants permission to create and modify item data.
            saleschannels.read: Verkaufskanäle lesen
            all.read: Allows the application to read all data.
            customers.read: Grants permission to read customer data.
            customers.write: Grants permission to create and modify customer data.
            customfields.read: Grants permission to read custom fields.
            customfields.write: Grants permission to create and modify custom fields.
            deliveries.read: Grants permission to read deliveries.
            deliveries.write: Grants permission to create and modify deliveries.
            deliverynotes.print: Grants permission to print and output delivery notes.
            deliverynotes.read: Grants permission to read delivery notes.
            deliverynotes.write: Grants permission to create and modify delivery notes.
            extensibility.integration: >-
              Grants permission to manage extensions and integrations of the
              JTL-Wawi.
            inventories.read: Grants permission to read stock levels.
            inventories.write: Grants permission to modify stock levels.
            invoices.read: Grants permission to read invoices.
            invoices.write: Grants permission to create and modify invoices.
            labels.read: Grants permission to read labels.
            labels.write: Grants permission to create and modify labels.
            masterdata.read: >-
              Read master data such as shipping methods, payment methods, color
              codes and tax classes.
            orders.read: Grants permission to read orders.
            picklists.read: Grants permission to read pick lists.
            picklists.write: Grants permission to create and modify pick lists.
            returns.read: Grants permission to read returns.
            returns.write: Grants permission to create and modify returns.
            salesinvoicecorrections.read: Grants permission to read invoice corrections.
            salesinvoicecorrections.write: Grants permission to create and modify invoice corrections.
            salesorders.print: Grants permission to print and output sales orders.
            salesorders.read: Grants permission to read sales orders.
            salesorders.write: Grants permission to create and modify sales orders.
            system.config.read: Grants permission to read the system configuration.
            system.config.write: Grants permission to modify the system configuration.
            taxes.read: Grants permission to read tax data.
            warehouse.read: Grants permission to read warehouse data.
            wawiapp.all: Grants access to Wawi app related operations.
            currencies.read: Grants read access to currencies.
            jera.read: Grants read access to JERA internal endpoints.
            paymentmethods.read: Grants read access to payment methods.
            payments.read: Ermöglicht den Lesezugriff auf Zahlungen.
            payments.write: Ermöglicht den Schreibzugriff auf Zahlungen.
            salesinvoicecorrections.print: Grants permission to print and output invoice corrections.
            salesinvoices.print: Grants permission to print and output sales invoices.
            salesinvoices.read: Grants read access to sales invoices.
            salesinvoices.write: Grants write access to sales invoices.
            salesquotations.print: Grants permission to print and output sales quotations.
            salesquotations.read: Grants read access to sales quotations.
            salesquotations.write: Grants write access to sales quotations.
            suppliers.read: Grants permission to read suppliers.
            system.worker.read: Worker-Synchronisationen lesen
            system.worker.write: Worker-Synchronisationen schreiben
            resources.read: Grants permission to read resource management data.
            resources.write: Grants permission to create and modify resource management data.
            pps.read: Grants permission to read production data.
            pps.write: Grants permission to create and modify production data.
            inventory.write: Bestand schreiben
            masterdata.write: Write master data
            inventory.read: Grants permission to read stock levels.
            taxes.write: Grants permission to create and modify tax data.
            application.runas: >-
              Allows the application to execute requests on behalf of another
              user.

````